;;; Copyright (C) 2022  Ivan Polyakov
;;;
;;; This file is part of vilor's guix channel.
;;;
;;; Vilor's guix channel is free software: you can redistribute it
;;; and/or modify it under the terms of the GNU General Public License
;;; as published by the Free Software Foundation, either version 3
;;; of the License, or (at your option) any later version.
;;;
;;; Vilor's guix channel is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;;   
;;; You should have received a copy of the GNU General Public License
;;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

(define-module (vilor packages suckless)
  #:use-module (gnu packages suckless)
  #:use-module (guix git-download)
  #:use-module (guix packages)
  #:use-module (vilor packages))

(define-public vilor-dwm
  (package
    (inherit dwm)
    (version "6.3")
    (name "vilor-dwm")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
          (url "https://notabug.org/vilor/dwm.git")
          (commit "7a925e1cbfcbecb8be23921c0eefe0b7d807ffb7")))
        (sha256
          (base32 "1jkdp2rlfjgdhrngd5sj74822hq1j4pi6pwga86nbc4clzfzfbx3"))))
    (home-page "https://notabug.org/vilor/dwm")
    (synopsis "Patched and configured dwm 6.3")))

(define-public vilor-st
  (package
    (inherit st)
    (name "vilor-st")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
          (url "https://notabug.org/vilor/st.git")
          (commit "6fe076976b760dcfcbbcab58f2c602980bab4a56")))
        (sha256
          (base32 "0706xmncd9mkg7qzy579ci9pp4q8s8x8aai3rdx7rw4rvxk31a3h"))))
    (home-page "https://notabug.org/vilor/st")
    (synopsis "Patched and configured st 0.8.5")))

